> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar vínculos entre Áreas de Atuação e Habilidades

> Retorna todos os vínculos cadastrados entre áreas de atuação e habilidades



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json get /api/v1/empregabilidade/habilidades/areas-atuacao-habilidades
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/habilidades/areas-atuacao-habilidades:
    get:
      tags:
        - empregabilidade-habilidades
      summary: Listar vínculos entre Áreas de Atuação e Habilidades
      description: >-
        Retorna todos os vínculos cadastrados entre áreas de atuação e
        habilidades
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/empregabilidade.AreaAtuacaoHabilidade'
        '500':
          description: Erro ao buscar áreas de atuação e habilidades
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.AreaAtuacaoHabilidade:
      type: object
      properties:
        area_atuacao:
          $ref: '#/components/schemas/empregabilidade.AreaAtuacao'
        created_at:
          type: string
        habilidade:
          $ref: '#/components/schemas/empregabilidade.Habilidade'
        id:
          type: integer
        id_area_atuacao:
          type: integer
        id_habilidade:
          type: integer
        updated_at:
          type: string
    response.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Mensagem de erro aqui
    empregabilidade.AreaAtuacao:
      type: object
      properties:
        created_at:
          type: string
        habilidades:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.Habilidade'
        id:
          type: integer
        nome:
          type: string
        updated_at:
          type: string
    empregabilidade.Habilidade:
      type: object
      properties:
        areas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.AreaAtuacao'
        created_at:
          type: string
        id:
          type: integer
        nome:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.